Merchants
Request a Limit Upgrade
Submit a merchant limit upgrade request to increase daily or monthly transaction caps via an additional compliance verification flow.
POST
/
v2
/
upgrade
/
limits
Request a Limit Upgrade
curl --request POST \
--url https://api-test.velafi.com/v2/upgrade/limits \
--header 'Content-Type: application/json' \
--header 'X-BH-TOKEN: <api-key>' \
--data '
{
"merchantId": 123,
"callbackUrl": "<string>"
}
'import requests
url = "https://api-test.velafi.com/v2/upgrade/limits"
payload = {
"merchantId": 123,
"callbackUrl": "<string>"
}
headers = {
"X-BH-TOKEN": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-BH-TOKEN': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({merchantId: 123, callbackUrl: '<string>'})
};
fetch('https://api-test.velafi.com/v2/upgrade/limits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.post("https://api-test.velafi.com/v2/upgrade/limits")
.header("X-BH-TOKEN", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"merchantId\": 123,\n \"callbackUrl\": \"<string>\"\n}")
.asString();{
"code": 123,
"msg": "<string>",
"data": {
"link": "<string>"
}
}Use this endpoint when a merchant’s operational needs exceed their current transaction limits. Submitting this request initiates an enhanced compliance review where the merchant may be asked to provide additional documentation — such as proof of funds, business licences, or audited financial statements. Once approved, the merchant’s daily and monthly limits are updated and reflected in the List Merchants response.
All requests must include the
X-BH-TOKEN header and Content-Type: application/json.Endpoint
POST https://api.velafi.com/v2/upgrade/limits
Request Parameters
number
required
The ID of the merchant requesting a limit upgrade.
string
required
URL that VelaFi calls after the upgrade verification process completes.
Response Fields
number
Response code. This endpoint returns
0 on success.string
Status message.
success on success.object
Show data fields
Show data fields
string
Hosted URL the merchant must visit to complete the limit upgrade verification.
Example
cURL
curl -X POST https://api.velafi.com/v2/upgrade/limits \
-H "X-BH-TOKEN: YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"merchantId": 151209,
"callbackUrl": "https://your-app.com/limit-upgrade-callback"
}'
Response
{
"code": 0,
"msg": "success",
"data": {
"link": "https://www.velafi.com/verify?velafi_token=abc123"
}
}
Track the outcome of a limit upgrade request by polling the
upgradeMerchantLimitStatus field in the List Merchants response.Was this page helpful?
⌘I
Request a Limit Upgrade
curl --request POST \
--url https://api-test.velafi.com/v2/upgrade/limits \
--header 'Content-Type: application/json' \
--header 'X-BH-TOKEN: <api-key>' \
--data '
{
"merchantId": 123,
"callbackUrl": "<string>"
}
'import requests
url = "https://api-test.velafi.com/v2/upgrade/limits"
payload = {
"merchantId": 123,
"callbackUrl": "<string>"
}
headers = {
"X-BH-TOKEN": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-BH-TOKEN': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({merchantId: 123, callbackUrl: '<string>'})
};
fetch('https://api-test.velafi.com/v2/upgrade/limits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.post("https://api-test.velafi.com/v2/upgrade/limits")
.header("X-BH-TOKEN", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"merchantId\": 123,\n \"callbackUrl\": \"<string>\"\n}")
.asString();{
"code": 123,
"msg": "<string>",
"data": {
"link": "<string>"
}
}